VIGRA - TemplateConstImageIterator class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| ConstImageIterator Class Template Reference |
--- | --- | ---

Standard 2D random access const iterator for images that store the data as a linear array. More...

`#include "vigra/imageiterator.hxx"`

Inheritance diagram for ConstImageIterator:

## Public Types
typedef Base::pointer | pointer
typedef Base::difference_type | difference_type
## Public Methods
| ConstImageIterator (pointer base, int ystride)
| ConstImageIterator ()

## Detailed Description

### template<class PIXELTYPE>
class vigra::ConstImageIterator< PIXELTYPE >

Standard 2D random access const iterator for images that store the data as a linear array.

Most functions are inherited from ImageIteratorBase.

#include "vigra/imageiterator.hxx"

Namespace: vigra

## Member Typedef Documentation

typedef Base::difference_type difference_type

| the iterator's difference type (argument type of `iter[diff]`) Reimplemented from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >.

typedef Base::pointer pointer

| the iterator's pointer type (return type of `iter.operator->()`) Reimplemented from ImageIteratorBase< ConstImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE const &, PIXELTYPE const * >.

## Constructor & Destructor Documentation

ConstImageIterator | ( | pointer | base,
|  | int | ystride
| ) | `[inline]`

| Construct from raw memory with a vertical stride of `ystride`. `ystride` must equal the physical image width (row length), even if the iterator will only be used for a sub image. If the raw memory is encapsulated in an image object this object should have a factory function that constructs the iterator.

ConstImageIterator | ( |  | ) | `[inline]`

| Default constructor

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)